---

- name: Setup server
  hosts: all
  remote_user: root

  vars:
    # Initial setup
    create_user: "{{ lookup('env','USER') }}"
    copy_local_key: "{{ lookup('file', lookup('env','HOME') + '/.ssh/id_rsa.pub') }}"
    sys_packages: [ 'curl', 'vim', 'git', 'ufw']

  roles:
    - setup
